Upstream-Status: Pending
From 8fb320cba5e013719441a8750c0bac91dec140d8 Mon Sep 17 00:00:00 2001
From: Vishal Sagar <vishal.sagar@amd.com>
Date: Wed, 15 Feb 2023 22:37:27 +0530
Subject: [PATCH 276/295] sound: soc: xilinx: Fix long driver name

The driver name is longer than 16 bytes. It gets truncated but gives a
error message as below while running.

fd4a0000.display:zynqmp_dp_snd_card: ASoC: driver name too long
'DisplayPort monitor' -> 'DisplayPort_mon'

Fix this by reducing the size of driver name to "DP mon".

Reported-by: John Toomey <john.toomey@amd.com>
Signed-off-by: Vishal Sagar <vishal.sagar@amd.com>
Reviewed-by: Radhey Shyam Pandey <radhey.shyam.pandey@amd.com>
State: pending
---
 sound/soc/xilinx/xilinx-dp-card.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sound/soc/xilinx/xilinx-dp-card.c b/sound/soc/xilinx/xilinx-dp-card.c
index 396a87d56394..8fee10ec8927 100644
--- a/sound/soc/xilinx/xilinx-dp-card.c
+++ b/sound/soc/xilinx/xilinx-dp-card.c
@@ -61,7 +61,7 @@ static struct snd_soc_dai_link xilinx_dp_dai_links[] = {
 };
 
 static struct snd_soc_card xilinx_dp_card = {
-	.name		= "DisplayPort monitor",
+	.name		= "DP mon",
 	.owner		= THIS_MODULE,
 	.dai_link	= xilinx_dp_dai_links,
 	.num_links	= 2,
-- 
2.34.1

